package xic.analysis;

/**
 * Abstract value used in dataflow analyses -- completely
 * unspecified for now.
 */
public interface Value {
	/// Create a deep copy
	Value copy();
	
	/**
	 *  Abstract meet operator -- 
	 * overwrites the contents of this object
	 */
	void meet(Value v);

	void setNullMeet();
}
