package xic.ir;

public class NameGenerator {
	private long tempId;
	private long labelId;
	private String labelPrefix;
	private String tempPrefix;

	public NameGenerator(String labelPrefix, String tempPrefix) {
		this.tempId = 0;
		this.labelId = 0;
		this.labelPrefix = labelPrefix;
		this.tempPrefix = tempPrefix;
	}
	
	public NameGenerator() {
		this(".L", "t");
	}
	
	public NameGenerator(String prefix) {
		this(prefix, prefix);
	}

	public String nextTemp() {
		return tempPrefix + tempId++;
	}

	public String nextLabel() {
		return labelPrefix + labelId++;
	}
}
